<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
</head>

<body>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script> -->

    <!-- Option 2: Separate Popper and Bootstrap JS -->

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"
        integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.min.js"
        integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj"
        crossorigin="anonymous"></script>



    <div class="header">
        <!--Content before waves-->

        <!--Waves Container-->
        <div>
            <svg class="waves" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                viewBox="0 24 150 28" preserveAspectRatio="none" shape-rendering="auto">
                <defs>
                    <path id="gentle-wave"
                        d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z" />
                </defs>
                <g class="parallax">
                    <use xlink:href="#gentle-wave" x="48" y="0" fill="rgba(255,255,255,0.7" />
                    <use xlink:href="#gentle-wave" x="48" y="3" fill="rgba(255,255,255,0.5)" />
                    <use xlink:href="#gentle-wave" x="48" y="5" fill="rgba(255,255,255,0.3)" />
                    <use xlink:href="#gentle-wave" x="48" y="7" fill="#fff" />
                </g>
            </svg>
        </div>
        <!--Waves end-->

    </div>
    <!--Header ends-->



    <!-- Zone de connexion / onSubmit / Login -->
    <div class="container h-100" *ngIf="codeWasConfirmed == false">
        <div class="row h-100 align-items-center">
            <div class="col-12 text-center">
                <h1 class="font-weight-light">Inscription</h1>
                <p class="lead">Bienvenue au club !</p>
            </div>
        </div>
    </div>

    <div class="container h-100">
        <div class="row h-100 align-items-center">
            <div class="col-12 text-center">

                <div class="form-content">
                    <div>
                        <div *ngIf="codeWasConfirmed == false">
                            <div class="form-group">
                                <label for="password">Adresse mail</label>
                                <input id="inputFilled" type="text" class="form-control" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="emailRegistered">
                            </div>

                            <div class="form-group">
                                <label for="password">Mot de passe</label>
                                <input id="inputFilled" type="password" class="form-control" aria-label="Username"
                                    aria-describedby="basic-addon1" [(ngModel)]="passwordRegistered">
                            </div>

                            <hr class="my-4">

                            <div class="form-group">
                                <button id="submitButton" type="button" class="btn btn-outline-primary"
                                    (click)="register()">GO
                                    !</button>
                            </div>



                            <div *ngIf="codeToConfirm">
                                <br><br>
                            </div>


                            <div *ngIf="codeToConfirm">
                                <div class="container h-100">
                                    <div class="row h-100 align-items-center">
                                        <div class="col-12 text-center">
                                            <h1 class="font-weight-light">Etape de vérification</h1>
                                            <p class="lead">Merci de bien vouloir indiquer le code de vérification reçu
                                                par
                                                mail</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label for="password">Code de vérification</label>
                                    <input id="inputFilled" type="text" class="form-control" aria-label="Username"
                                        aria-describedby="basic-addon1" [(ngModel)]="confirmCode">
                                </div>

                                <hr class="my-4">

                                <div class="form-group">
                                    <button id="submitButton" type="button" class="btn btn-outline-primary"
                                        (click)="validateAuthCode()">Je valide mon
                                        code</button>
                                </div>
                            </div>
                        </div>

                        <div *ngIf="codeWasConfirmed"><br><br><br><br><br></div>

                        <div class="row message-row" *ngIf="codeWasConfirmed">
                            <h3 id="logInTitle">Vérification de votre code effectuée, veuillez cliquer
                                <a id="loginLink" routerLink="/login">ici</a> pour vous
                                connecter
                            </h3>

                        </div>





                        <br><br>
                    </div>
                </div>
            </div>
        </div>
    </div>





    <!-- <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <form (ngSubmit)="register(regForm)" #regForm="ngForm">
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" name="email" id="email" ngModel class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" name="password" id="password" ngModel class="form-control" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Register</button>
                    </form>
                </div>
            </div>
            <br>
            <div *ngIf="confirmCode" class="row message-row">
                <h3>Merci de vérifier vos mails et d'indiquer le code de validation ici</h3>
                <div class="col-lg-4">
                    <form (ngSubmit)="validateAuthCode(codeform)" #codeform="ngForm">
                        <div class="form-group">
                            <label for="code">Code</label>
                            <input type="text" name="code" id="code" ngModel class="form-control" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Validate</button>
                    </form>
                </div>
            </div>
            <div *ngIf="codeWasConfirmed" class="row message-row">
                <h3>Vérification de votre code effectuée, veuillez cliquer <a routerLink="/login">ici</a> pour vous
                    connecter</h3>
            </div>
        </div> -->







</body>

</html>